# DesktopTaskBarItemDateTime

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [Component](/api/wisej.base/general/wisej.base.component.md)
  * [Component](/api/wisej.web/general/wisej.web.component.md)
    * [DesktopTaskBarItem](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritem.md)
      * [DesktopTaskBarItemDateTime](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritemdatetime.md)

Represents a DateTime component in the [Desktop](/api/wisej.web/containers/desktop.md) control's taskbar.

{% tabs %}
{% tab title="C#" %}

```csharp
public class DesktopTaskBarItemDateTime : DesktopTaskBarItem
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class DesktopTaskBarItemDateTime
    Inherits DesktopTaskBarItem
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) DesktopTaskBarItemDateTime()

Initializes a new instance of [DesktopTaskBarItemDateTime](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritemdatetime.md) setting the initial [Position](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritem.md#position) value to [Right](/api/wisej.web/enumerations/wisej.web.leftrightalignment.md#fields).

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Position

[LeftRightAlignment](/api/wisej.web/enumerations/wisej.web.leftrightalignment.md): Returns or sets the position of this [DesktopTaskBarItem](/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritem.md) within the taskbar in the parent [Desktop](/api/wisej.web/containers/desktop.md). (Default: `Right`)

## Methods

### ![](/files/lzopMboA31bVq8UIcbT3) OnWebRender(config)

| Parameter  | Type                                                          | Description |
| ---------- | ------------------------------------------------------------- | ----------- |
| **config** | [Object](https://docs.microsoft.com/dotnet/api/system.object) |             |

## Implements

| Name                                                                              | Description                                                                                                     |
| --------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------- |
| [IUserData](/api/wisej.web/interfaces/wisej.web.iuserdata.md)                     | Provides access to the `UserData` and `Tag` properties associated to the component implementing this interface. |
| [IWisejComponent](/api/wisej.core/interfaces/wisej.core.iwisejcomponent.md)       | All wisej components implement this interface.                                                                  |
| [IWisejSerializable](/api/wisej.core/interfaces/wisej.core.iwisejserializable.md) | Allows an object to serialize itself.                                                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/desktop/wisej.web.desktoptaskbaritemdatetime.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
